extends Node2D


@onready var choix_niveau: Node = get_parent()


func _ready() -> void:
	for child in get_children():
		assert(child is Planete, "Seules les planetes sont autorisees dans le systeme")
		var planete: Planete = child as Planete
		planete.niveau_choisi.connect(choix_niveau.demarrer_niveau)
